/*
 * datapoints.h - Screen for viewing individual data points
 * Copyright (C) 2024  Alexander Rosenberg
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See the LICENSE file for more information.
 */
#ifndef INCLUDED_DATAPOINTS_H
#define INCLUDED_DATAPOINTS_H

#include "datesel.h"
#include "timesel.h"

typedef struct {
    Screen parent;
    bool need_redraw;
    enum {
        DP_STAGE_DATE = 0,
        DP_STAGE_TIME,
        DP_STAGE_SHOW,
    } stage;
    DateSelection ds;
    TimeSelection ts;
    int64_t cur_point;
} DataPointsScreen;

/*
 * Create a new data points screen. This screen will display individual
 * temperature and humidity data points.
 */
DataPointsScreen *data_points_screen_new(void);

#endif
